com.ibm.openpages.api.questionnaire

## Interface IQuestionnaireBase

- All Known Subinterfaces:
    IQuestion, IQuestionnaire, ISection

      public interface IQuestionnaireBase

  This is an interface for common fields across `IQuestionnaire`, `ISection`, and `IQuestion`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns the description of this questionnaire resource.
    `Id` | `getId()` Returns the Id of this questionnaire resource.
    `int` | `getOrder()` Returns the order integer of this questionnaire resource.
    `Id` | `getParentId()` Returns the Id of the parent resource for sub-sections and questions.
    `java.lang.String` | `getRationale()` Returns the rationale of this questionnaire resource.
    `java.lang.String` | `getReference()` Returns the reference of this questionnaire resource.
    `java.util.UUID` | `getReportID()` Returns the report UUID of this questionnaire resource.
    `java.lang.String` | `getTitle()` Returns the title of this questionnaire resource.
    `void` | `setDescription(java.lang.String newDescription)` Sets the description of the questionnaire resource.
    `void` | `setOrder(int order)` Sets the order of the resource.
    `void` | `setRationale(java.lang.String newRationale)` Sets the rationale of the questionnaire resource.
    `void` | `setReference(java.lang.String reference)` Sets the reference of this questionnaire resource.
    `void` | `setTitle(java.lang.String newTitle)` Sets the title of this questionnaire resource.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the Id of this questionnaire resource.
      Returns:
        `Id`

    - #### getTitle

          java.lang.String getTitle()

      Returns the title of this questionnaire resource. If it is an instance of questionnaire assessment, this API provides the name of the object.
      Returns:
        title of the questionnaire resource

    - #### setTitle

          void setTitle(java.lang.String newTitle)

      Sets the title of this questionnaire resource.
      Parameters:
        `newTitle` - title of the questionnaire resource

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of this questionnaire resource.
      Returns:
        description

    - #### setDescription

          void setDescription(java.lang.String newDescription)

      Sets the description of the questionnaire resource.
      Parameters:
        `newDescription` - description of the questionnaire resource

    - #### getParentId

          Id getParentId()

      Returns the Id of the parent resource for sub-sections and questions. Returns null for questionnaire and sections.
      Returns:
        `Id`

    - #### getRationale

          java.lang.String getRationale()

      Returns the rationale of this questionnaire resource.
      Returns:
        rationale

    - #### setRationale

          void setRationale(java.lang.String newRationale)

      Sets the rationale of the questionnaire resource.
      Parameters:
        `newRationale` - rationale of the questionnaire resource

    - #### getOrder

          int getOrder()

      Returns the order integer of this questionnaire resource. The display order of questions, sections, or sub-sections are determined by the order value among the siblings. They are sorted in ascending order. The system does not validate if a unique value is assigned, but the display order is indefinite when multiple questions have the same order value under a sub-section. If the questions are under different parent sub-sections, the same order value can be set and the objects are sorted among siblings that have the same parent object.
      Returns:
        order

    - #### setOrder

          void setOrder(int order)

      Sets the order of the resource.
      Parameters:
        `order` - the order of the resource

    - #### getReference

          java.lang.String getReference()

      Returns the reference of this questionnaire resource.
      Returns:
        reference

    - #### setReference

          void setReference(java.lang.String reference)

      Sets the reference of this questionnaire resource.
      Parameters:
        `reference` - the reference of this questionnaire resource

    - #### getReportID

          java.util.UUID getReportID()

      Returns the report UUID of this questionnaire resource.
      Returns:
        `UUID`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.